Wind River Support Network

HomeDefectsLIN5-19375
Fixed

LIN5-19375 : CLONE - can not add libo32 version of libgcc

Created: Sep 2, 2014    Updated: Dec 19, 2017
Resolved Date: Sep 3, 2014
Previous ID: LIN6-8305
Found In Version: 5.0.1
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Toolchain, Userspace

Description

I'd like to enable both libo32 and lib64 in wrliux6.0.  This is what I did:

$WIND_LINUX_CONFIGURE --enable-board=bcm-xlp --enable-build=production \
--enable-kernel=standard  --enable-rootfs=glibc_std+debug \
--with-template=feature/readonly-root,feature/debug \
--enable-reconfig=yes --enable-sdkimage-staticlibs=yes \
--enable-parallel-pkgbuilds=4 --enable-jobs=4 \
--with-package=gdb

then I add a libo32 package zlib hoping that it will bring all the necessary dependence libraries:
make -C build libo32-zlib.addpkg
make -C build libo32-zlib.build

make

make export-sdk

After I installed sdk, I compiled a libo32 application, getting this error:
 mips-wrsmllibo32-linux-gcc  -meb -mabi=32 -mhard-float -march=xlp --sysroot=/extdisk/opt/windriver/wrlinux/6.0-bcm-xlp/sysroots/mips64-xlp-n64-wrs-linux -g    spiTool.c -o spi_test > > /extdisk/opt/windriver/wrlinux/6.0-bcm-xlp/sysroots/i686-wrlinuxsdk-linux/usr/toolchain/bin/../lib/gcc/mips-wrs-linux-gnu/4.8.1/../../../../mips-wrs-linux-gnu/bin/ld: cannot find -lgcc_s > > collect2: error: ld returned 1 exit status

Other Downloads


Live chat
Online